public class Formulas {
     //Precondition: radius >= 0 && height >= 0
     //Returns: the area of a cylinder with assigned raduis and height
     public static double computeArea(double radius, double height) {
         return  computeSideArea(radius, height) + 2*computeCircleArea(radius);
     }//computeArea

     //Precondition: radius >= 0 && height >= 0
     //Returns: the volume of a cylinder with assigned raduis and height
     public static double computeVolume(double radius, double height) {
         return computeCircleArea(radius) * height;
     } //computeVolume

     //Precondition: radius >= 0 && height >= 0
     //Returns: the side area of a cylinder with assigned raduis and height
     public static double computeSideArea(double radius, double height) {
         return  2*Math.PI*radius*height;
     }//computeSideArea

     //Precondition: radius >= 0 
     //Returns: the area of a circle with assigned raduis
     public static double computeCircleArea(double radius) {
         return  Math.PI*Math.pow(radius, 2);
     }//computeCircleArea
}//Formulas
